__dev_get_by_index
Prev | Driver Support | Next

## Name

__dev_get_by_index — find a device by its ifindex

## Synopsis

`struct net_device * __dev_get_by_index (` | struct net * | net,
| int | ifindex`)`;

## Arguments

`net`

  the applicable net namespace

`ifindex`

  index of device

## Description

Search for an interface by index. Returns `NULL` if the device is not found or a pointer to the device. The device has not had its reference counter increased so the caller must be careful about locking. The caller must hold either the RTNL semaphore or `dev_base_lock`.

Prev | Up | Next
dev_get_by_name | Home | dev_get_by_index